name: "Nested Example"

outerconf:
  name: outer_fsm
  initial: Unknown
  states:
    - Unknown
    - Error
    - innerconf
  transitions:
    - [start, Unknown, innerfsm, [check_start]]
    - [error, "*", Error]
    - [reset, "*", Unknown]
  send_event: True

innerconf:
  name: innerfsm
  initial: Started
  states:
    - Started
    - Initialized
    - Configured
    - Running
    - Stopped
  transitions:
    - [initialize, Started, Initialized]
    - [configure, Initialized, Configured]
    - [run, Configured, Running]
    - [stop, Running, Stopped]
  send_event: True
